Extending Qt Creator Manual | Cache

Extending Qt Creator Manual 4.5.2

# Cache Class

(ProjectExplorer::Cache)

- List of all members, including inherited members

## Public Functions

| Cache()
| Cache(const Cache &other) = delete
| Cache(Cache &&other)
Utils::optional<T> | check(const QStringList &compilerArguments)
void | insert(const QStringList &compilerArguments, const T &values)
void | invalidate()
Cache & | operator=(const Cache &other) = delete
Cache & | operator=(Cache &&other)

## Member Function Documentation

### Cache::Cache()

Default constructs an instance of Cache.

### `[delete]` Cache::Cache(const Cache &other)

Copy constructor.

### Cache::Cache(Cache &&other)

Move-copy constructor.

### Utils::optional<T> Cache::check(const QStringList &compilerArguments)

### void Cache::insert(const QStringList &compilerArguments, const T &values)

### void Cache::invalidate()

### `[delete]` Cache &Cache::operator=(const Cache &other)

Copy-assignment operator.

### Cache &Cache::operator=(Cache &&other)

Move-assignment operator.